From f72f19fb68a8533b1a36cf617830cb97e500867e Mon Sep 17 00:00:00 2001
From: Endi Sukma Dewata <edewata@redhat.com>
Date: Sat, 11 Aug 2012 09:47:39 -0500
Subject: [PATCH] Reorganized REST common classes.

The common classes used by REST client and services have been moved
into the com.netscape.certsrv.<component> packages.

Ticket #215
---
 .../src/com/netscape/cms/servlet/test/CATest.java  | 28 +++++++++++-----------
 .../ca/CertificateAuthorityApplication.java        |  2 +-
 .../cms/servlet/test/ConfigurationTest.java        |  6 ++---
 .../base/BadRequestException.java                  |  2 +-
 .../servlet/base/model => certsrv/base}/Link.java  |  2 +-
 .../servlet => certsrv}/base/PKIException.java     |  2 +-
 .../base/UnauthorizedException.java                |  3 ++-
 .../cert/model => certsrv/cert}/CertData.java      |  2 +-
 .../cert/model => certsrv/cert}/CertDataInfo.java  |  2 +-
 .../cert/model => certsrv/cert}/CertDataInfos.java |  2 +-
 .../cert}/CertEnrollmentRequest.java               |  6 ++---
 .../cert/CertNotFoundException.java                |  4 ++--
 .../model => certsrv/cert}/CertRequestInfo.java    |  3 ++-
 .../model => certsrv/cert}/CertRequestInfos.java   |  4 ++--
 .../cert}/CertRequestResource.java                 |  6 +----
 .../servlet => certsrv}/cert/CertResource.java     |  8 +------
 .../cert}/CertRetrievalRequest.java                |  2 +-
 .../model => certsrv/cert}/CertReviewResponse.java | 10 ++++----
 .../model => certsrv/cert}/CertRevokeRequest.java  |  2 +-
 .../model => certsrv/cert}/CertSearchRequest.java  |  2 +-
 .../cert}/CertUnrevokeRequest.java                 |  2 +-
 .../model => certsrv/key}/KeyArchivalRequest.java  |  2 +-
 .../servlet/key/model => certsrv/key}/KeyData.java |  2 +-
 .../key/model => certsrv/key}/KeyDataInfo.java     |  2 +-
 .../key/model => certsrv/key}/KeyDataInfos.java    |  4 ++--
 .../model => certsrv/key}/KeyRecoveryRequest.java  |  2 +-
 .../model => certsrv/key}/KeyRequestInfo.java      |  3 ++-
 .../model => certsrv/key}/KeyRequestInfos.java     |  4 ++--
 .../key}/KeyRequestResource.java                   |  6 +----
 .../{cms/servlet => certsrv}/key/KeyResource.java  |  5 +---
 .../profile}/PolicyConstraint.java                 |  2 +-
 .../profile}/PolicyConstraintValue.java            |  2 +-
 .../model => certsrv/profile}/PolicyDefault.java   |  2 +-
 .../profile}/ProfileAttribute.java                 |  2 +-
 .../model => certsrv/profile}/ProfileData.java     |  2 +-
 .../model => certsrv/profile}/ProfileDataInfo.java |  2 +-
 .../profile}/ProfileDataInfos.java                 |  4 ++--
 .../model => certsrv/profile}/ProfileInput.java    |  2 +-
 .../profile/ProfileNotFoundException.java          |  4 ++--
 .../model => certsrv/profile}/ProfileOutput.java   |  2 +-
 .../model => certsrv/profile}/ProfilePolicy.java   |  2 +-
 .../profile}/ProfilePolicySet.java                 |  2 +-
 .../profile/ProfileResource.java                   |  4 +---
 .../profile}/ProfileRetrievalRequest.java          |  2 +-
 .../model => certsrv/request}/CMSRequestInfo.java  |  5 +---
 .../model => certsrv/request}/CMSRequestInfos.java |  4 ++--
 .../request/RequestNotFoundException.java          |  5 ++--
 .../system}/ConfigurationRequest.java              |  2 +-
 .../system}/ConfigurationResponse.java             |  2 +-
 .../model => certsrv/system}/DomainInfo.java       |  2 +-
 .../model => certsrv/system}/InstallToken.java     |  2 +-
 .../system}/InstallTokenRequest.java               |  2 +-
 .../system}/SecurityDomainHost.java                |  2 +-
 .../system}/SecurityDomainHostList.java            |  2 +-
 .../model => certsrv/system}/SystemCertData.java   |  2 +-
 .../system}/SystemCertificateResource.java         |  4 ++--
 .../system}/SystemConfigResource.java              |  7 +-----
 .../netscape/cms/client/PKIErrorInterceptor.java   |  2 +-
 .../src/com/netscape/cms/client/ca/CAClient.java   | 24 +++++++++----------
 .../src/com/netscape/cms/client/cert/CertCLI.java  |  6 ++---
 .../com/netscape/cms/client/cert/CertClient.java   | 26 ++++++++++----------
 .../com/netscape/cms/client/cert/CertFindCLI.java  |  8 +++----
 .../com/netscape/cms/client/cert/CertHoldCLI.java  |  6 ++---
 .../cms/client/cert/CertReleaseHoldCLI.java        |  6 ++---
 .../cms/client/cert/CertRequestApproveCLI.java     |  4 ++--
 .../cms/client/cert/CertRequestReviewCLI.java      |  4 ++--
 .../cms/client/cert/CertRequestSubmitCLI.java      |  6 ++---
 .../netscape/cms/client/cert/CertRevokeCLI.java    |  6 ++---
 .../com/netscape/cms/client/cert/CertShowCLI.java  |  2 +-
 .../src/com/netscape/cms/client/kra/DRMClient.java | 22 ++++++++---------
 .../cms/client/system/SystemConfigClient.java      | 10 ++++----
 .../cms/servlet/admin/GroupMemberService.java      |  2 +-
 .../netscape/cms/servlet/admin/GroupService.java   |  2 +-
 .../cms/servlet/admin/SystemCertService.java       |  3 ++-
 .../cms/servlet/admin/UserCertService.java         |  2 +-
 .../netscape/cms/servlet/admin/UserService.java    |  2 +-
 .../com/netscape/cms/servlet/base/PKIService.java  |  2 +-
 .../servlet/cert/CertEnrollmentRequestFactory.java |  4 ++--
 .../netscape/cms/servlet/cert/CertProcessor.java   |  4 ++--
 .../netscape/cms/servlet/cert/CertRequestDAO.java  | 15 ++++++------
 .../cms/servlet/cert/CertRequestInfoFactory.java   |  5 ++--
 .../servlet/cert/CertReviewResponseFactory.java    | 16 ++++++-------
 .../com/netscape/cms/servlet/cert/CertService.java | 24 ++++++++++---------
 .../com/netscape/cms/servlet/cert/DoRevoke.java    |  2 +-
 .../com/netscape/cms/servlet/cert/DoUnrevoke.java  |  2 +-
 .../cms/servlet/cert/EnrollmentProcessor.java      |  4 ++--
 .../cms/servlet/cert/RenewalProcessor.java         |  2 +-
 .../cms/servlet/cert/RequestProcessor.java         | 12 +++++-----
 .../cms/servlet/cert/RevocationProcessor.java      |  4 ++--
 .../cms/servlet/csadmin/ConfigurationUtils.java    |  4 ++--
 .../cms/servlet/csadmin/SystemConfigService.java   | 15 ++++++------
 .../netscape/cms/servlet/key/KeyRequestDAO.java    | 15 ++++++------
 .../com/netscape/cms/servlet/key/KeyService.java   | 11 +++++----
 .../servlet/profile/PolicyConstraintFactory.java   |  4 ++--
 .../cms/servlet/profile/PolicyDefaultFactory.java  |  4 ++--
 .../cms/servlet/profile/ProfileInputFactory.java   |  2 +-
 .../cms/servlet/profile/ProfileOutputFactory.java  |  4 ++--
 .../cms/servlet/profile/ProfileProcessServlet.java |  6 ++---
 .../cms/servlet/profile/ProfileService.java        | 10 ++++----
 .../cms/servlet/request/CMSRequestDAO.java         |  6 ++---
 .../cms/servlet/request/CertRequestService.java    | 14 ++++++-----
 .../cms/servlet/request/KeyRequestService.java     | 12 ++++++----
 base/deploy/src/scriptlets/pkijython.py            |  7 +++---
 .../src/com/netscape/cms/servlet/test/DRMTest.java | 10 ++++----
 .../kra/KeyRecoveryAuthorityApplication.java       |  2 +-
 .../netscape/kra/SecurityDataRecoveryService.java  |  2 +-
 .../src/com/netscape/kra/SecurityDataService.java  |  3 ++-
 .../src/com/netscape/ocsp/OCSPApplication.java     |  2 +-
 base/tks/src/com/netscape/tks/TKSApplication.java  |  2 +-
 109 files changed, 284 insertions(+), 295 deletions(-)
 rename base/common/src/com/netscape/{cms/servlet => certsrv}/base/BadRequestException.java (97%)
 rename base/common/src/com/netscape/{cms/servlet/base/model => certsrv/base}/Link.java (97%)
 rename base/common/src/com/netscape/{cms/servlet => certsrv}/base/PKIException.java (99%)
 rename base/common/src/com/netscape/{cms/servlet => certsrv}/base/UnauthorizedException.java (97%)
 rename base/common/src/com/netscape/{cms/servlet/cert/model => certsrv/cert}/CertData.java (99%)
 rename base/common/src/com/netscape/{cms/servlet/cert/model => certsrv/cert}/CertDataInfo.java (99%)
 rename base/common/src/com/netscape/{cms/servlet/cert/model => certsrv/cert}/CertDataInfos.java (97%)
 rename base/common/src/com/netscape/{cms/servlet/request/model => certsrv/cert}/CertEnrollmentRequest.java (98%)
 rename base/common/src/com/netscape/{cms/servlet => certsrv}/cert/CertNotFoundException.java (95%)
 rename base/common/src/com/netscape/{cms/servlet/request/model => certsrv/cert}/CertRequestInfo.java (96%)
 rename base/common/src/com/netscape/{cms/servlet/request/model => certsrv/cert}/CertRequestInfos.java (95%)
 rename base/common/src/com/netscape/{cms/servlet/request => certsrv/cert}/CertRequestResource.java (93%)
 rename base/common/src/com/netscape/{cms/servlet => certsrv}/cert/CertResource.java (84%)
 rename base/common/src/com/netscape/{cms/servlet/request/model => certsrv/cert}/CertRetrievalRequest.java (97%)
 rename base/common/src/com/netscape/{cms/servlet/request/model => certsrv/cert}/CertReviewResponse.java (95%)
 rename base/common/src/com/netscape/{cms/servlet/cert/model => certsrv/cert}/CertRevokeRequest.java (99%)
 rename base/common/src/com/netscape/{cms/servlet/cert/model => certsrv/cert}/CertSearchRequest.java (99%)
 rename base/common/src/com/netscape/{cms/servlet/cert/model => certsrv/cert}/CertUnrevokeRequest.java (98%)
 rename base/common/src/com/netscape/{cms/servlet/request/model => certsrv/key}/KeyArchivalRequest.java (98%)
 rename base/common/src/com/netscape/{cms/servlet/key/model => certsrv/key}/KeyData.java (97%)
 rename base/common/src/com/netscape/{cms/servlet/key/model => certsrv/key}/KeyDataInfo.java (97%)
 rename base/common/src/com/netscape/{cms/servlet/key/model => certsrv/key}/KeyDataInfos.java (96%)
 rename base/common/src/com/netscape/{cms/servlet/request/model => certsrv/key}/KeyRecoveryRequest.java (98%)
 rename base/common/src/com/netscape/{cms/servlet/request/model => certsrv/key}/KeyRequestInfo.java (95%)
 rename base/common/src/com/netscape/{cms/servlet/request/model => certsrv/key}/KeyRequestInfos.java (95%)
 rename base/common/src/com/netscape/{cms/servlet/request => certsrv/key}/KeyRequestResource.java (91%)
 rename base/common/src/com/netscape/{cms/servlet => certsrv}/key/KeyResource.java (87%)
 rename base/common/src/com/netscape/{cms/servlet/profile/model => certsrv/profile}/PolicyConstraint.java (97%)
 rename base/common/src/com/netscape/{cms/servlet/profile/model => certsrv/profile}/PolicyConstraintValue.java (97%)
 rename base/common/src/com/netscape/{cms/servlet/profile/model => certsrv/profile}/PolicyDefault.java (97%)
 rename base/common/src/com/netscape/{cms/servlet/profile/model => certsrv/profile}/ProfileAttribute.java (97%)
 rename base/common/src/com/netscape/{cms/servlet/profile/model => certsrv/profile}/ProfileData.java (98%)
 rename base/common/src/com/netscape/{cms/servlet/profile/model => certsrv/profile}/ProfileDataInfo.java (97%)
 rename base/common/src/com/netscape/{cms/servlet/profile/model => certsrv/profile}/ProfileDataInfos.java (96%)
 rename base/common/src/com/netscape/{cms/servlet/profile/model => certsrv/profile}/ProfileInput.java (98%)
 rename base/common/src/com/netscape/{cms/servlet => certsrv}/profile/ProfileNotFoundException.java (95%)
 rename base/common/src/com/netscape/{cms/servlet/profile/model => certsrv/profile}/ProfileOutput.java (97%)
 rename base/common/src/com/netscape/{cms/servlet/profile/model => certsrv/profile}/ProfilePolicy.java (97%)
 rename base/common/src/com/netscape/{cms/servlet/profile/model => certsrv/profile}/ProfilePolicySet.java (97%)
 rename base/common/src/com/netscape/{cms/servlet => certsrv}/profile/ProfileResource.java (87%)
 rename base/common/src/com/netscape/{cms/servlet/request/model => certsrv/profile}/ProfileRetrievalRequest.java (97%)
 rename base/common/src/com/netscape/{cms/servlet/request/model => certsrv/request}/CMSRequestInfo.java (92%)
 rename base/common/src/com/netscape/{cms/servlet/request/model => certsrv/request}/CMSRequestInfos.java (94%)
 rename base/common/src/com/netscape/{cms/servlet => certsrv}/request/RequestNotFoundException.java (89%)
 rename base/common/src/com/netscape/{cms/servlet/csadmin/model => certsrv/system}/ConfigurationRequest.java (99%)
 rename base/common/src/com/netscape/{cms/servlet/csadmin/model => certsrv/system}/ConfigurationResponse.java (98%)
 rename base/common/src/com/netscape/{cms/servlet/csadmin/model => certsrv/system}/DomainInfo.java (98%)
 rename base/common/src/com/netscape/{cms/servlet/csadmin/model => certsrv/system}/InstallToken.java (96%)
 rename base/common/src/com/netscape/{cms/servlet/csadmin/model => certsrv/system}/InstallTokenRequest.java (98%)
 rename base/common/src/com/netscape/{cms/servlet/csadmin/model => certsrv/system}/SecurityDomainHost.java (96%)
 rename base/common/src/com/netscape/{cms/servlet/csadmin/model => certsrv/system}/SecurityDomainHostList.java (95%)
 rename base/common/src/com/netscape/{cms/servlet/csadmin/model => certsrv/system}/SystemCertData.java (99%)
 rename base/common/src/com/netscape/{cms/servlet/admin => certsrv/system}/SystemCertificateResource.java (85%)
 rename base/common/src/com/netscape/{cms/servlet/csadmin => certsrv/system}/SystemConfigResource.java (84%)

diff --git a/base/ca/functional/src/com/netscape/cms/servlet/test/CATest.java b/base/ca/functional/src/com/netscape/cms/servlet/test/CATest.java
index a230b468a92a671da4a4481c4ddb328af883d382..b00084d429667db0c1deaa38bab120933f16dc58 100644
--- a/base/ca/functional/src/com/netscape/cms/servlet/test/CATest.java
+++ b/base/ca/functional/src/com/netscape/cms/servlet/test/CATest.java
@@ -33,24 +33,24 @@ import org.mozilla.jss.crypto.AlreadyInitializedException;
 import org.mozilla.jss.crypto.CryptoToken;
 import org.mozilla.jss.util.Password;
 
+import com.netscape.certsrv.cert.CertData;
+import com.netscape.certsrv.cert.CertDataInfo;
+import com.netscape.certsrv.cert.CertDataInfos;
+import com.netscape.certsrv.cert.CertEnrollmentRequest;
+import com.netscape.certsrv.cert.CertNotFoundException;
+import com.netscape.certsrv.cert.CertRequestInfo;
+import com.netscape.certsrv.cert.CertRequestInfos;
+import com.netscape.certsrv.cert.CertReviewResponse;
+import com.netscape.certsrv.cert.CertSearchRequest;
 import com.netscape.certsrv.dbs.certdb.CertId;
+import com.netscape.certsrv.profile.ProfileData;
+import com.netscape.certsrv.profile.ProfileDataInfo;
+import com.netscape.certsrv.profile.ProfileDataInfos;
+import com.netscape.certsrv.profile.ProfileInput;
 import com.netscape.certsrv.request.RequestId;
+import com.netscape.certsrv.request.RequestNotFoundException;
 import com.netscape.cms.client.ClientConfig;
 import com.netscape.cms.client.ca.CAClient;
-import com.netscape.cms.servlet.cert.CertNotFoundException;
-import com.netscape.cms.servlet.cert.model.CertDataInfo;
-import com.netscape.cms.servlet.cert.model.CertDataInfos;
-import com.netscape.cms.servlet.cert.model.CertSearchRequest;
-import com.netscape.cms.servlet.cert.model.CertData;
-import com.netscape.cms.servlet.profile.model.ProfileData;
-import com.netscape.cms.servlet.profile.model.ProfileDataInfo;
-import com.netscape.cms.servlet.profile.model.ProfileDataInfos;
-import com.netscape.cms.servlet.profile.model.ProfileInput;
-import com.netscape.cms.servlet.request.RequestNotFoundException;
-import com.netscape.cms.servlet.request.model.CertReviewResponse;
-import com.netscape.cms.servlet.request.model.CertRequestInfo;
-import com.netscape.cms.servlet.request.model.CertRequestInfos;
-import com.netscape.cms.servlet.request.model.CertEnrollmentRequest;
 
 public class CATest {
 
diff --git a/base/ca/src/com/netscape/ca/CertificateAuthorityApplication.java b/base/ca/src/com/netscape/ca/CertificateAuthorityApplication.java
index 6a426bd09e3ced68529095181fdcb9c027d111d4..bb6431907ee77c9ff7890b8c18fae95d96adf129 100644
--- a/base/ca/src/com/netscape/ca/CertificateAuthorityApplication.java
+++ b/base/ca/src/com/netscape/ca/CertificateAuthorityApplication.java
@@ -5,12 +5,12 @@ import java.util.Set;
 
 import javax.ws.rs.core.Application;
 
+import com.netscape.certsrv.base.PKIException;
 import com.netscape.cms.servlet.admin.GroupMemberService;
 import com.netscape.cms.servlet.admin.GroupService;
 import com.netscape.cms.servlet.admin.SystemCertService;
 import com.netscape.cms.servlet.admin.UserCertService;
 import com.netscape.cms.servlet.admin.UserService;
-import com.netscape.cms.servlet.base.PKIException;
 import com.netscape.cms.servlet.cert.CertService;
 import com.netscape.cms.servlet.csadmin.SystemConfigService;
 import com.netscape.cms.servlet.profile.ProfileService;
diff --git a/base/common/functional/src/com/netscape/cms/servlet/test/ConfigurationTest.java b/base/common/functional/src/com/netscape/cms/servlet/test/ConfigurationTest.java
index f9fa62d0a6b6df1d86d4dfea5d544b6ca0e7b9bd..462137ec76ed19d92b2f6bb54cbfda401a9e8253 100644
--- a/base/common/functional/src/com/netscape/cms/servlet/test/ConfigurationTest.java
+++ b/base/common/functional/src/com/netscape/cms/servlet/test/ConfigurationTest.java
@@ -56,11 +56,11 @@ import org.mozilla.jss.pkix.primitive.Name;
 import org.mozilla.jss.pkix.primitive.SubjectPublicKeyInfo;
 import org.mozilla.jss.util.Password;
 
+import com.netscape.certsrv.system.ConfigurationRequest;
+import com.netscape.certsrv.system.ConfigurationResponse;
+import com.netscape.certsrv.system.SystemCertData;
 import com.netscape.cms.client.ClientConfig;
 import com.netscape.cms.client.system.SystemConfigClient;
-import com.netscape.cms.servlet.csadmin.model.ConfigurationRequest;
-import com.netscape.cms.servlet.csadmin.model.ConfigurationResponse;
-import com.netscape.cms.servlet.csadmin.model.SystemCertData;
 import com.netscape.cmsutil.util.Utils;
 
 /**
diff --git a/base/common/src/com/netscape/cms/servlet/base/BadRequestException.java b/base/common/src/com/netscape/certsrv/base/BadRequestException.java
similarity index 97%
rename from base/common/src/com/netscape/cms/servlet/base/BadRequestException.java
rename to base/common/src/com/netscape/certsrv/base/BadRequestException.java
index cefa2698516d287dcf3f0f912f3a7822759f0a42..48face306747ca5ac485e57af42c28d9061cbcd3 100644
--- a/base/common/src/com/netscape/cms/servlet/base/BadRequestException.java
+++ b/base/common/src/com/netscape/certsrv/base/BadRequestException.java
@@ -15,7 +15,7 @@
 // (C) 2007 Red Hat, Inc.
 // All rights reserved.
 // --- END COPYRIGHT BLOCK ---
-package com.netscape.cms.servlet.base;
+package com.netscape.certsrv.base;
 import javax.ws.rs.core.Response;
 
 public class BadRequestException extends PKIException {
diff --git a/base/common/src/com/netscape/cms/servlet/base/model/Link.java b/base/common/src/com/netscape/certsrv/base/Link.java
similarity index 97%
rename from base/common/src/com/netscape/cms/servlet/base/model/Link.java
rename to base/common/src/com/netscape/certsrv/base/Link.java
index 336092abe1aa7b52dd664992eb25612e2c3e4c24..427d1c2751b4ebfc4978036c3b2ab841a13632b1 100644
--- a/base/common/src/com/netscape/cms/servlet/base/model/Link.java
+++ b/base/common/src/com/netscape/certsrv/base/Link.java
@@ -15,7 +15,7 @@
 // (C) 2011 Red Hat, Inc.
 // All rights reserved.
 // --- END COPYRIGHT BLOCK ---/**
-package com.netscape.cms.servlet.base.model;
+package com.netscape.certsrv.base;
 
 import javax.xml.bind.annotation.XmlAttribute;
 import javax.xml.bind.annotation.XmlRootElement;
diff --git a/base/common/src/com/netscape/cms/servlet/base/PKIException.java b/base/common/src/com/netscape/certsrv/base/PKIException.java
similarity index 99%
rename from base/common/src/com/netscape/cms/servlet/base/PKIException.java
rename to base/common/src/com/netscape/certsrv/base/PKIException.java
index be2629e17824d8b919c591e3914bdd88c02d7bd5..6afb8f72bda44246c27be789f657a62dc230f9de 100644
--- a/base/common/src/com/netscape/cms/servlet/base/PKIException.java
+++ b/base/common/src/com/netscape/certsrv/base/PKIException.java
@@ -15,7 +15,7 @@
 // (C) 2007 Red Hat, Inc.
 // All rights reserved.
 // --- END COPYRIGHT BLOCK ---
-package com.netscape.cms.servlet.base;
+package com.netscape.certsrv.base;
 
 import java.util.ArrayList;
 import java.util.LinkedHashMap;
diff --git a/base/common/src/com/netscape/cms/servlet/base/UnauthorizedException.java b/base/common/src/com/netscape/certsrv/base/UnauthorizedException.java
similarity index 97%
rename from base/common/src/com/netscape/cms/servlet/base/UnauthorizedException.java
rename to base/common/src/com/netscape/certsrv/base/UnauthorizedException.java
index 83803601cde40b203c37aa6e6c989dd6cadc698a..f82c06754821f63e126c98dd53f7aa4180f5827f 100644
--- a/base/common/src/com/netscape/cms/servlet/base/UnauthorizedException.java
+++ b/base/common/src/com/netscape/certsrv/base/UnauthorizedException.java
@@ -16,10 +16,11 @@
 // All rights reserved.
 // --- END COPYRIGHT BLOCK ---
 
-package com.netscape.cms.servlet.base;
+package com.netscape.certsrv.base;
 
 import javax.ws.rs.core.Response;
 
+
 /**
  * @author Endi S. Dewata
  */
diff --git a/base/common/src/com/netscape/cms/servlet/cert/model/CertData.java b/base/common/src/com/netscape/certsrv/cert/CertData.java
similarity index 99%
rename from base/common/src/com/netscape/cms/servlet/cert/model/CertData.java
rename to base/common/src/com/netscape/certsrv/cert/CertData.java
index 50fcf81da0fadcce8eb51af6dc611a317316b134..58f7fcd2c91b3115b71db294f3508687faba193f 100644
--- a/base/common/src/com/netscape/cms/servlet/cert/model/CertData.java
+++ b/base/common/src/com/netscape/certsrv/cert/CertData.java
@@ -15,7 +15,7 @@
 // (C) 2012 Red Hat, Inc.
 // All rights reserved.
 // --- END COPYRIGHT BLOCK ---
-package com.netscape.cms.servlet.cert.model;
+package com.netscape.certsrv.cert;
 
 import java.io.PrintWriter;
 import java.io.StringReader;
diff --git a/base/common/src/com/netscape/cms/servlet/cert/model/CertDataInfo.java b/base/common/src/com/netscape/certsrv/cert/CertDataInfo.java
similarity index 99%
rename from base/common/src/com/netscape/cms/servlet/cert/model/CertDataInfo.java
rename to base/common/src/com/netscape/certsrv/cert/CertDataInfo.java
index 4c6a9b19e5f9e2c19fce269096ae858b8cb5a752..969e3e371d7b10d0d23643f1c84b30dd25d7df69 100644
--- a/base/common/src/com/netscape/cms/servlet/cert/model/CertDataInfo.java
+++ b/base/common/src/com/netscape/certsrv/cert/CertDataInfo.java
@@ -18,7 +18,7 @@
 /**
  *
  */
-package com.netscape.cms.servlet.cert.model;
+package com.netscape.certsrv.cert;
 
 import java.io.StringReader;
 import java.io.StringWriter;
diff --git a/base/common/src/com/netscape/cms/servlet/cert/model/CertDataInfos.java b/base/common/src/com/netscape/certsrv/cert/CertDataInfos.java
similarity index 97%
rename from base/common/src/com/netscape/cms/servlet/cert/model/CertDataInfos.java
rename to base/common/src/com/netscape/certsrv/cert/CertDataInfos.java
index 189c58cbeb9d2de467dc4aacf3fcf4a8e9112571..475e90815404104b8441c6e467ddcd331660b816 100644
--- a/base/common/src/com/netscape/cms/servlet/cert/model/CertDataInfos.java
+++ b/base/common/src/com/netscape/certsrv/cert/CertDataInfos.java
@@ -15,7 +15,7 @@
 //(C) 2012 Red Hat, Inc.
 //All rights reserved.
 //--- END COPYRIGHT BLOCK ---
-package com.netscape.cms.servlet.cert.model;
+package com.netscape.certsrv.cert;
 
 import java.util.ArrayList;
 import java.util.Collection;
diff --git a/base/common/src/com/netscape/cms/servlet/request/model/CertEnrollmentRequest.java b/base/common/src/com/netscape/certsrv/cert/CertEnrollmentRequest.java
similarity index 98%
rename from base/common/src/com/netscape/cms/servlet/request/model/CertEnrollmentRequest.java
rename to base/common/src/com/netscape/certsrv/cert/CertEnrollmentRequest.java
index a249d657daf93f1c2ed183edce8fc0ef6416586c..fefef9a4625433851f408781683f8d2c4be00d23 100644
--- a/base/common/src/com/netscape/cms/servlet/request/model/CertEnrollmentRequest.java
+++ b/base/common/src/com/netscape/certsrv/cert/CertEnrollmentRequest.java
@@ -19,7 +19,7 @@
 /**
  *
  */
-package com.netscape.cms.servlet.request.model;
+package com.netscape.certsrv.cert;
 
 import java.io.ByteArrayInputStream;
 import java.io.ByteArrayOutputStream;
@@ -39,8 +39,8 @@ import javax.xml.bind.annotation.XmlAccessorType;
 import javax.xml.bind.annotation.XmlElement;
 import javax.xml.bind.annotation.XmlRootElement;
 
-import com.netscape.cms.servlet.profile.model.ProfileInput;
-import com.netscape.cms.servlet.profile.model.ProfileOutput;
+import com.netscape.certsrv.profile.ProfileInput;
+import com.netscape.certsrv.profile.ProfileOutput;
 
 /**
  * @author jmagne
diff --git a/base/common/src/com/netscape/cms/servlet/cert/CertNotFoundException.java b/base/common/src/com/netscape/certsrv/cert/CertNotFoundException.java
similarity index 95%
rename from base/common/src/com/netscape/cms/servlet/cert/CertNotFoundException.java
rename to base/common/src/com/netscape/certsrv/cert/CertNotFoundException.java
index bcfc18aaf383e99614252b4e9a390851c1a81365..ce0962a843861668179e653b9f47e75e3fd67147 100644
--- a/base/common/src/com/netscape/cms/servlet/cert/CertNotFoundException.java
+++ b/base/common/src/com/netscape/certsrv/cert/CertNotFoundException.java
@@ -15,12 +15,12 @@
 // (C) 2007 Red Hat, Inc.
 // All rights reserved.
 // --- END COPYRIGHT BLOCK ---
-package com.netscape.cms.servlet.cert;
+package com.netscape.certsrv.cert;
 
 import javax.ws.rs.core.Response;
 
+import com.netscape.certsrv.base.PKIException;
 import com.netscape.certsrv.dbs.certdb.CertId;
-import com.netscape.cms.servlet.base.PKIException;
 
 public class CertNotFoundException extends PKIException {
 
diff --git a/base/common/src/com/netscape/cms/servlet/request/model/CertRequestInfo.java b/base/common/src/com/netscape/certsrv/cert/CertRequestInfo.java
similarity index 96%
rename from base/common/src/com/netscape/cms/servlet/request/model/CertRequestInfo.java
rename to base/common/src/com/netscape/certsrv/cert/CertRequestInfo.java
index 0754fe5478157420a0c29cb902bc92713017702f..d11e945437e902ca7c5b13760fb091d990f6ece2 100644
--- a/base/common/src/com/netscape/cms/servlet/request/model/CertRequestInfo.java
+++ b/base/common/src/com/netscape/certsrv/cert/CertRequestInfo.java
@@ -16,7 +16,7 @@
 // All rights reserved.
 // --- END COPYRIGHT BLOCK ---
 
-package com.netscape.cms.servlet.request.model;
+package com.netscape.certsrv.cert;
 
 import javax.xml.bind.annotation.XmlAccessType;
 import javax.xml.bind.annotation.XmlAccessorType;
@@ -24,6 +24,7 @@ import javax.xml.bind.annotation.XmlElement;
 import javax.xml.bind.annotation.XmlRootElement;
 
 import com.netscape.certsrv.dbs.certdb.CertId;
+import com.netscape.certsrv.request.CMSRequestInfo;
 
 @XmlRootElement(name = "CertRequestInfo")
 @XmlAccessorType(XmlAccessType.FIELD)
diff --git a/base/common/src/com/netscape/cms/servlet/request/model/CertRequestInfos.java b/base/common/src/com/netscape/certsrv/cert/CertRequestInfos.java
similarity index 95%
rename from base/common/src/com/netscape/cms/servlet/request/model/CertRequestInfos.java
rename to base/common/src/com/netscape/certsrv/cert/CertRequestInfos.java
index a4c39a33ef3873def3f8a56ba6294624cb96f2aa..028bff58338db97497c104aeac9043d0030b21b7 100644
--- a/base/common/src/com/netscape/cms/servlet/request/model/CertRequestInfos.java
+++ b/base/common/src/com/netscape/certsrv/cert/CertRequestInfos.java
@@ -15,7 +15,7 @@
 // (C) 2011 Red Hat, Inc.
 // All rights reserved.
 // --- END COPYRIGHT BLOCK ---
-package com.netscape.cms.servlet.request.model;
+package com.netscape.certsrv.cert;
 
 import java.util.Collection;
 import java.util.List;
@@ -24,7 +24,7 @@ import javax.xml.bind.annotation.XmlElementRef;
 import javax.xml.bind.annotation.XmlRootElement;
 import javax.xml.bind.annotation.XmlTransient;
 
-import com.netscape.cms.servlet.base.model.Link;
+import com.netscape.certsrv.base.Link;
 
 @XmlRootElement(name = "CertRequestInfos")
 public class CertRequestInfos {
diff --git a/base/common/src/com/netscape/cms/servlet/request/CertRequestResource.java b/base/common/src/com/netscape/certsrv/cert/CertRequestResource.java
similarity index 93%
rename from base/common/src/com/netscape/cms/servlet/request/CertRequestResource.java
rename to base/common/src/com/netscape/certsrv/cert/CertRequestResource.java
index 8a6d1b1828c3cc3e9a7a64967146c4500baf04e5..1a186f6275a0e6b875064f1f41a4b6979522b9ac 100644
--- a/base/common/src/com/netscape/cms/servlet/request/CertRequestResource.java
+++ b/base/common/src/com/netscape/certsrv/cert/CertRequestResource.java
@@ -15,7 +15,7 @@
 // (C) 2007 Red Hat, Inc.
 // All rights reserved.
 // --- END COPYRIGHT BLOCK ---
-package com.netscape.cms.servlet.request;
+package com.netscape.certsrv.cert;
 
 import javax.ws.rs.Consumes;
 import javax.ws.rs.DefaultValue;
@@ -29,10 +29,6 @@ import javax.ws.rs.core.MediaType;
 import javax.ws.rs.core.MultivaluedMap;
 
 import com.netscape.certsrv.request.RequestId;
-import com.netscape.cms.servlet.request.model.CertReviewResponse;
-import com.netscape.cms.servlet.request.model.CertRequestInfo;
-import com.netscape.cms.servlet.request.model.CertRequestInfos;
-import com.netscape.cms.servlet.request.model.CertEnrollmentRequest;
 
 @Path("")
 public interface CertRequestResource {
diff --git a/base/common/src/com/netscape/cms/servlet/cert/CertResource.java b/base/common/src/com/netscape/certsrv/cert/CertResource.java
similarity index 84%
rename from base/common/src/com/netscape/cms/servlet/cert/CertResource.java
rename to base/common/src/com/netscape/certsrv/cert/CertResource.java
index e937b28164dcb064dc5e99a719677e3a7d9ff0b3..1d5958824298dd201a6aba882bd29dd89b36635e 100644
--- a/base/common/src/com/netscape/cms/servlet/cert/CertResource.java
+++ b/base/common/src/com/netscape/certsrv/cert/CertResource.java
@@ -1,4 +1,4 @@
-package com.netscape.cms.servlet.cert;
+package com.netscape.certsrv.cert;
 
 import javax.ws.rs.Consumes;
 import javax.ws.rs.DefaultValue;
@@ -11,12 +11,6 @@ import javax.ws.rs.QueryParam;
 import javax.ws.rs.core.MediaType;
 
 import com.netscape.certsrv.dbs.certdb.CertId;
-import com.netscape.cms.servlet.cert.model.CertDataInfos;
-import com.netscape.cms.servlet.cert.model.CertRevokeRequest;
-import com.netscape.cms.servlet.cert.model.CertSearchRequest;
-import com.netscape.cms.servlet.cert.model.CertUnrevokeRequest;
-import com.netscape.cms.servlet.cert.model.CertData;
-import com.netscape.cms.servlet.request.model.CertRequestInfo;
 
 @Path("")
 public interface CertResource {
diff --git a/base/common/src/com/netscape/cms/servlet/request/model/CertRetrievalRequest.java b/base/common/src/com/netscape/certsrv/cert/CertRetrievalRequest.java
similarity index 97%
rename from base/common/src/com/netscape/cms/servlet/request/model/CertRetrievalRequest.java
rename to base/common/src/com/netscape/certsrv/cert/CertRetrievalRequest.java
index 9b8caacd91b23a04c2c133dc238d6a6751b124e6..ac8ea079ac468ed7d819f1ce68e494882b5a86d6 100644
--- a/base/common/src/com/netscape/cms/servlet/request/model/CertRetrievalRequest.java
+++ b/base/common/src/com/netscape/certsrv/cert/CertRetrievalRequest.java
@@ -19,7 +19,7 @@
 /**
  *
  */
-package com.netscape.cms.servlet.request.model;
+package com.netscape.certsrv.cert;
 
 import javax.ws.rs.core.MultivaluedMap;
 import javax.xml.bind.annotation.XmlAccessType;
